Subject: bug#328: How to print background colors in Mac OS X

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Wed, 04 Jun 2008 09:24:11 +0900

>>>>> On Tue, 03 Jun 2008 15:36:26 -0500, Scott Heftler <[email-masked]> said:

> I'm using Carbon Emacs 22.2.1 on MacBook Pro "25 running OS X 10.5.2. 
> My printer is a HP Deskjet F4180.

> I cannot print background colors.  The foreground color of the text
> prints fine.  But the background color of the text never prints.

> Here's how to reproduce:

> 1. Apply a face that inludes a background color, such as `isearch', to
>    some text.  Select some text, do `M-o O isearch <RET>'.  Now that
>    text has a background.

> 2. Then set `ps-use-face-background to t' by doing `M-: (setq
>    ps-use-face-background t) <RET>'.

> 3. Now you're ready to print, via `ps-print-buffer-with-faces'.

> You get the foreground text properly printed.  The background is all
> white.

It works for me with Carbon Emacs 22.2 on Mac OS X 10.5.3, though
there is some difference in the extension of the background color at
the end of line.

The PostScript file generated with `C-u M-x
ps-print-buffer-with-faces RET' is attached.

				     YAMAMOTO Mitsuharu
				[email-masked]